Warning message "Unsecured Connection" when using Cryptomator 1.5.12

When trying to access either my iCloud vault or DropBox vaults, I’m getting this warning now from Cryptomator:

Unsecured Connection

Do you want to send your name and
password in a way that is insecure?

The URL provided uses an unsecured
method for network communication. To
jse a secure connection, you must use a
server that supports SSL.

I’ve tried force-quitting it, re-downloading the same version (1.5.12), but I keep getting the same warnings when I try to open vaults.

Suggestions?

Thanks,

-m

Hi.
Seems like this:

1 Like

Hi,

Using Mac OS 11.2.1. Latest Cryptomater version (1.5.12). What was noteworthy about this warning dialog is that it never happened before yesterday. I’ve been a Cryptomator user for years so I thought it was worth checking out.
Since, as you say, this warning message isn’t anything to worry about, I wish I could simply disable it so I don’t have to click thorough it every time I open a vault.
Thanks!

We’re currently looking into it. There is actually a difference between Cryptomator 1.5.11 and 1.5.12 that I’ve noticed as well. But since Cryptomator is still only mounting the virtual drive on localhost (i.e., locally on your computer), it’s not less secure than before. I’ve to admit though that this warning is misleading and could cause confusion.

1 Like

Thanks for your kind reply! :slight_smile:

"Do you want to send your name and password in a way that is insecure?

The URL provided uses an unsecured method for network communication. To use a secure connection, you must use a server that supports SSL."

Hi.

‘What is causing this?
It only started yesterday after yrs. of 0 problems.’

Is downloading and installing fuse still the go to option, or can I ignore this warning and proceed with connecting? The article is from 2019.

I see someone in the article stated there was no security issue due to a feedback loop.

I am non-technical.

Thank you.

We have found the issue and are preparing a hotfix. Please note that the security of your files were never compromised and the hotfix is only for not confusing/unsettle the users.

It is still valid, especially the answer of @overheadhunter. Using fuse might be still interesting for you.

© 2021 Skymatic GmbH • Privacy PolicyImpressum